astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_CylindricalEqualArea

# Sky2Pix_CylindricalEqualArea

class `astropy.modeling.projections.``Sky2Pix_CylindricalEqualArea`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Cylindrical`

  Cylindrical equal area projection - sky to pixel.

  Corresponds to the `CEA` projection in FITS WCS.

  x &= \phi \\ y &= \frac{180^{\circ}}{\pi}\frac{\sin \theta}{\lambda}

  Parameters:

  lam : float

  > Radius of the cylinder in spherical radii, λ. Default is 0.

  Attributes Summary

  `lam` |
  `param_names` |

  Methods Summary

  `evaluate`(phi, theta, lam) |

  Attributes Documentation

  `lam`
  `param_names` = ('lam',)

  Methods Documentation

  classmethod `evaluate`(phi, theta, lam)